Create a Stripe-hosted customer portal session.
const url = 'https://data.predictefy.com/v1/billing/portal';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://data.predictefy.com/v1/billing/portal \ --header 'Authorization: Bearer <token>'Key-authed and WEIGHT 0. Creates a short-lived Stripe-hosted URL where the account can cancel or change its subscription. Requires a Stripe customer id captured from an earlier completed Checkout session. 503 BILLING_UNAVAILABLE until STRIPE_SECRET_KEY and STRIPE_PORTAL_RETURN_URL are configured.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The hosted Stripe customer portal URL.
object
object
Examplegenerated
{ "success": true, "data": { "url": "example" }}Enveloped error.
object
object
Always present on errors; quote this id when reporting a failed request.
Present only when a venue error is attributed to a specific exchange.
Example
{ "success": false, "error": { "code": "VALIDATION_ERROR" }}Enveloped error.
object
object
Always present on errors; quote this id when reporting a failed request.
Present only when a venue error is attributed to a specific exchange.
Example
{ "success": false, "error": { "code": "VALIDATION_ERROR" }}Enveloped error.
object
object
Always present on errors; quote this id when reporting a failed request.
Present only when a venue error is attributed to a specific exchange.
Example
{ "success": false, "error": { "code": "VALIDATION_ERROR" }}Enveloped error.
object
object
Always present on errors; quote this id when reporting a failed request.
Present only when a venue error is attributed to a specific exchange.
Example
{ "success": false, "error": { "code": "VALIDATION_ERROR" }}Enveloped error.
object
object
Always present on errors; quote this id when reporting a failed request.
Present only when a venue error is attributed to a specific exchange.
Example
{ "success": false, "error": { "code": "VALIDATION_ERROR" }}